"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280ea20>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280eb60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280eac0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280ec00>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280eca0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280ed40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280ede0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280ee80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280ef20>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280efc0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f060>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f100>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f1a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f240>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f2e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f380>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f420>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f4c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f560>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f600>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f6a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f740>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f7e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f880>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f920>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280f9c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280fa60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280fb00>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280fba0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280fc40>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280fce0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280fd80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280fe20>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280fec0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8280ff60>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864040>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff828640e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864180>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864220>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff828642c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864360>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864400>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff828644a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864540>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff828645e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864680>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864720>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff828647c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864860>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864900>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff828649a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864a40>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864ae0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864b80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864c20>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864cc0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864d60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864e00>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864ea0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864f40>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff82864fe0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865080>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865120>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff828651c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865260>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865300>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff828653a0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865440>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff828654e0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865580>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865620>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff828656c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865760>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865800>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff828658a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865940>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff828659e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865a80>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865b20>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865c60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865bc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865d00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865da0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865e40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff82865ee0>)]
name: str = 'fr_HOCCN'
